Subject: bug#23013: 25.0.92; assertion failure on marker outside text range in echo area

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Mar 2016 19:06:30 +0200

> Date: Wed, 16 Mar 2016 15:28:08 -0400
> From: Ken Raeburn <[email-masked]>
> Cc: [email-masked]
> 
>      Anyway, do you have any explanation for why this started happening
>     now?  Did you switch from an older Emacs version, or changed something
>     in your local system configuration or in the way you invoke Emacs?
>     (I'm trying to establish whether this is an old problem, or something
>     that was caused by recent changes.)
> 
> I switched one week ago to emacs-25.0.92 from emacs-25.0.90, which I'd been running since early or mid February.  I didn't see this problem in .90, though a couple of assertion failures in find_last_row_displaying_text prompted me to pick up the newer snapshot.  Some changes I saw in the log for .92 made me think maybe that had been addressed, so I wasn't planning to report the assertion failure unless I saw it again in the newer snapshot.

I've reviewed the changes between 25.0.90 and 25.0.92.  I see nothing
that could be directly linked to this problem.  The only commits that
might be even remotely related are these 3:

  d82f24ba8530eb8de04a319cc80742a0a953040e
  84829495b5746417f5eaf9be693fb35f0509697a
  06a872b71d6580e0699600844bb9526602437990

Maybe you should try reverting these one by one.

It could also happen that the assertions you saw in 25.0.90 are caused
by the same problem that now causes this bug.  Any idea if those
assertions were for the mini-window as well?